| « PreviousNext » | |
![]() ![]() | Did this page help you? Yes | No | Tell us about it... |
The GetTopicAttributes action returns all of the properties of a topic.
Topic properties returned might differ based on the authorization of the user.
For information about the common parameters that all actions use, see Common Parameters.
The ARN of the topic whose properties you want to get.
Type: String
Required: Yes
The following
element is
returned in a structure named GetTopicAttributesResult.
A map of the topic's attributes. Attributes in this map include the following:
TopicArn -- the topic's ARNOwner -- the AWS account ID of the topic's ownerPolicy -- the JSON serialization of the topic's access control policyDisplayName -- the human-readable name used in the "From" field for notifications to email and email-json endpointsSubscriptionsPending -- the number of subscriptions pending confirmation on this topicSubscriptionsConfirmed -- the number of confirmed subscriptions on this topicSubscriptionsDeleted -- the number of deleted subscriptions on this topicDeliveryPolicy -- the JSON serialization of the topic's delivery policyEffectiveDeliveryPolicy -- the JSON serialization of the effective delivery policy that takes into account system defaultsType: String to String map
For information about the errors that are common to all actions, see Common Errors.
Indicates that the user has been denied access to the requested resource.
HTTP Status Code: 403
Indicates an internal service error.
HTTP Status Code: 500
Indicates that a request parameter does not comply with the associated constraints.
HTTP Status Code: 400
Indicates that the requested resource does not exist.
HTTP Status Code: 404
http://sns.us-east-1.amazonaws.com/ ?TopicArn=arn%3Aaws%3Asns%3Aus-east-1%3A123456789012%3AMy-Topic &Action=GetTopicAttributes &SignatureVersion=2 &SignatureMethod=HmacSHA256 &Timestamp=2010-03-31T12%3A00%3A00.000Z &AWSAccessKeyId=(AWS Access Key Id) &Signature=92lBGRVq0%2BxhaACaBGqtdemy%2Bi9isfgyTljCbJM80Yk%3D
<GetTopicAttributesResponse xmlns="http://sns.amazonaws.com/doc/2010-03-31/">
<GetTopicAttributesResult>
<Attributes>
<entry>
<key>Owner</key>
<value>123456789012</value>
</entry>
<entry>
<key>Policy</key>
<value>{
"Version":"2008-10-17","Id":"us-east-1/698519295917/test__default_policy_ID","Statement" : [{"Effect":"Allow","Sid":"us-east-1/698519295917/test__default_statement_ID","Principal" : {"AWS": "*"},"Action":["SNS:GetTopicAttributes","SNS:SetTopicAttributes","SNS:AddPermission","SNS:RemovePermission","SNS:DeleteTopic","SNS:Subscribe","SNS:ListSubscriptionsByTopic","SNS:Publish","SNS:Receive"],"Resource":"arn:aws:sns:us-east-1:698519295917:test","Condition" : {"StringLike" : {"AWS:SourceArn": "arn:aws:*:*:698519295917:*"}}}]}</value>
</entry>
<entry>
<key>TopicArn</key>
<value>arn:aws:sns:us-east-1:123456789012:My-Topic</value>
</entry>
</Attributes>
</GetTopicAttributesResult>
<ResponseMetadata>
<RequestId>057f074c-33a7-11df-9540-99d0768312d3</RequestId>
</ResponseMetadata>
</GetTopicAttributesResponse>